function show_error(field, msg){
modal_window({
message: '<div class="alert alert-danger">' + msg + '</div>',
title: 'Error in ' + field,
close: function(){
$j('#' + field).focus();
$j('#' + field).parents('.form-group').addClass('has-error');
}
});

return false;
}

$j(function(){
$j('#update, #insert').click(function(){
/* Make sure pourcentage is valid */
var pourcentage = $j('#pourcentage').val();
/*
if(isNaN(coef) || coef < 0 || coef > 100){
return show_error('coef', 'Le coef doit etre entre 0 et 100.');
}
*/
});

/* Set montant a payer to read-only */
$j('#montant').prop('readonly', true);

/* calculer le total */
$j('#salaire_moyen, #coef, #pourcentage, #mois_preavis, #mois_conge').change(function(){
	
	var salaireMoyen = parseFloat($j('#salaire_moyen').val()) || 0;
	var pourcentage = parseFloat($j('#pourcentage').val()) || 0;
	var moisPreavis = parseFloat($j('#mois_preavis').val()) || 0;
	var moisConge = parseFloat($j('#mois_conge').val()) || 0;
	var coefi = parseFloat($j('#coef').val()) || 0;

	var montantDecompte = salaireMoyen * pourcentage * coefi / 100;
	
$j('#montant').val(montantDecompte);

});
})